Bug 421663

Summary: Make Text tool's default "Lorem" place holder text translatable
Product: [Applications] krita Reporter: Tyson Tan <tysontanx>
Component: TranslationAssignee: Krita Bugs <krita-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: ahab.greybeard, dimula73, halla, tamtamy.tymona
Priority: NOR    
Version: 4.3.0-beta1   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In:

Description Tyson Tan 2020-05-17 06:22:59 UTC
Right now the Text tool will always insert a "Lorem" place holder text when creating a new text object. However, This is rather confusing for non-western language speakers unless they are familiar with the topic, which in my observation is quite unlikely. Is it possible for each language to have a translatable version of the Lorem text? Thank you!
Comment 1 Ahab Greybeard 2020-05-17 07:05:27 UTC
"This is some example text to let you know what it looks like" (maybe a shorter sentence instead) would be a generally useful thing to have instead of the 'Lorem' text.
Comment 2 Halla Rempt 2020-05-17 08:22:44 UTC
Well, the Lorem text actually is gibberish, it's not translatable into any language. We could replace it with something like "Your text here"?
Comment 3 Tyson Tan 2020-05-17 09:23:40 UTC
(In reply to Boudewijn Rempt from comment #2)
> Well, the Lorem text actually is gibberish, it's not translatable into any
> language. We could replace it with something like "Your text here"?

Yeah, I think that'd be a good idea. Not even all English speaker knows about Lorem's usage is to stripe off the meanings so as to focus on the visuals alone. :P
Comment 4 Tiar 2020-05-17 11:38:05 UTC
Basically all the time I use the text tool I'm annoyed at the length of the Lorem text, so "your text here" or "sample text" or something like that would be much better in my opinion. (But for me a shorter Lorem would work, too, but the translation part is a valid point as well so I agree with the report).
Comment 5 Halla Rempt 2020-05-17 11:51:46 UTC
Git commit 5ef81490b9df6026328361a52dba965a9b3c5a8f by Boudewijn Rempt.
Committed on 17/05/2020 at 11:51.
Pushed by rempt into branch 'krita/4.3'.

Make the placeholder text short and translatable

M  +1    -1    libs/flake/text/KoSvgTextShape.cpp

https://invent.kde.org/graphics/krita/commit/5ef81490b9df6026328361a52dba965a9b3c5a8f
Comment 6 Halla Rempt 2020-05-17 11:51:56 UTC
Git commit 2ad8c75a6ba8accf21c871cddcb87273d6517d63 by Boudewijn Rempt.
Committed on 17/05/2020 at 11:51.
Pushed by rempt into branch 'master'.

Make the placeholder text short and translatable
(cherry picked from commit 5ef81490b9df6026328361a52dba965a9b3c5a8f)

M  +1    -1    libs/flake/text/KoSvgTextShape.cpp

https://invent.kde.org/graphics/krita/commit/2ad8c75a6ba8accf21c871cddcb87273d6517d63
Comment 7 Tyson Tan 2020-05-17 13:17:21 UTC
Thank you Boud!
Comment 8 Tyson Tan 2020-06-02 17:55:17 UTC
Although it's listed as a fixed bug in 4.3.0 beta 2's news, Krita is still displaying Lorem text in the new version. Am I doing it wrong or can you check it out? Thanks!

krita-4.3.0-beta2-x86_64.appimage
Manjaro KDE 20.0.1
Comment 9 Dmitry Kazakov 2020-06-02 20:12:49 UTC
Reopening the bug because of the request from Tyson
Comment 10 Halla Rempt 2020-06-03 09:03:10 UTC
Git commit 4fc370efe2c4afc575984b6f31ebcbd7a01d4085 by Boudewijn Rempt.
Committed on 03/06/2020 at 09:03.
Pushed by rempt into branch 'krita/4.3'.

Fix the _other_ place where the lorem text was used

M  +1    -1    libs/flake/text/KoSvgTextShape.cpp

https://invent.kde.org/graphics/krita/commit/4fc370efe2c4afc575984b6f31ebcbd7a01d4085
Comment 11 Halla Rempt 2020-06-03 09:03:31 UTC
Git commit b2eecd187f0b7b5a246c68259bcfa6fcf7c2cbe6 by Boudewijn Rempt.
Committed on 03/06/2020 at 09:03.
Pushed by rempt into branch 'master'.

Fix the _other_ place where the lorem text was used
(cherry picked from commit 4fc370efe2c4afc575984b6f31ebcbd7a01d4085)

M  +1    -1    libs/flake/text/KoSvgTextShape.cpp

https://invent.kde.org/graphics/krita/commit/b2eecd187f0b7b5a246c68259bcfa6fcf7c2cbe6
Comment 12 Tyson Tan 2020-06-03 12:20:28 UTC
Thank you Boud! :D